/****************************************************************************
 Include Section
*****************************************************************************/

#include <blackfin.h>
#include "BfMemMap.h"

#if !defined __ADSPBF54x__
    #include "nBlackfin.h"
#endif


#if defined (__ADSPBF51x__) || defined (__ADSPBF526_FAMILY__) || ( defined (__ADSPBF527_FAMILY__) && __SILICON_REVISION__ >= 0x002 ) || ( defined (__ADSPBF54x__) && __SILICON_REVISION__ >= 0x001 )
    #define __USEBFSYSCONTROL__
#endif

#if ( defined (__ADSPBF51x__) && __SILICON_REVISION__ == 0x000 ) || ( defined (__ADSPBF526_FAMILY__) && __SILICON_REVISION__ == 0x000 ) || ( defined (__ADSPBF527_FAMILY__) && __SILICON_REVISION__ <= 0x002 )
    #define __WORKAROUND_05000440__
#endif

#if ( defined (__ADSPBF51x__) && __SILICON_REVISION__ == 0x000 ) || ( defined (__ADSPBF526_FAMILY__) && __SILICON_REVISION__ <= 0x001 )
    #define __WORKAROUND_05000353__
#endif


#if defined INSTR_CACHE_EN
    #include "ICPLB.h"
#endif
#if defined DATA_CACHE_EN
    #include "DCPLB.h"
#endif


#if defined (__ADSPBF518__) && defined (__EZKITLITE__)
    #include "ezboardBF518f_initcode.h"
#endif

#if defined (__ADSPBF526__) && defined (__EZKITLITE__)
    #include "ezboardBF526_initcode.h"
#endif

#if defined (__ADSPBF527__) && defined (__EZKITLITE__)
    #include "ezkitBF527_initcode.h"
#endif

#if defined (__ADSPBF533__) && defined (__EZKITLITE__)
    #include "ezkitBF533_initcode.h"
#endif

#if defined (__ADSPBF531__) || defined (__ADSPBF532__)
    #include "ezkitBF533_initcode.h"
#endif

#if defined (__ADSPBF537__) && defined (__EZKITLITE__)
    #include "ezkitBF537_initcode.h"
#endif

#if defined (__ADSPBF538__) && defined (__EZKITLITE__)
    #include "ezkitBF538f_initcode.h"
#endif

#if defined (__ADSPBF561__) && defined (__EZKITLITE__)
    #include "ezkitBF561_initcode.h"
#endif

#if defined (__ADSPBF548__) && defined (__EZKITLITE__)
    #include "ezkitBF548_initcode.h"
#endif


#if defined __USEBFSYSCONTROL__
    #include <bfrom.h>
    .import "bfrom.h";
#endif

/*****************************************************************************
 EOF
******************************************************************************/
